- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QCryptographicHash Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qcryptographichash.h.

`#include <qcryptographichash.h>`

List of all members.

## Public Types
enum | Algorithm { Md4, Md5, Sha1 }
## Public Member Functions
| QCryptographicHash (Algorithm method)
| ~QCryptographicHash ()
void | reset ()
void | addData (const char *data, int length)
void | addData (const QByteArray &data)
QByteArray | result () const
## Static Public Member Functions
static QByteArray | hash (const QByteArray &data, Algorithm method)

## Member Enumeration Documentation

enum Algorithm

Search for all occurrences

Enumerator:

  Md4 | Search for all occurrences
  Md5 | Search for all occurrences
  Sha1 | Search for all occurrences

Definition at line 58 of file qcryptographichash.h.

                       {
            Md4,
            Md5,
            Sha1
        };

## Constructor & Destructor Documentation

QCryptographicHash | ( | Algorithm | method | ) |

~QCryptographicHash | ( |  | ) |

## Member Function Documentation

void reset | ( |  | ) |

Search for all occurrences

void addData | ( | const char * | data,
|  | int | length
| ) |  |

Search for all occurrences

void addData | ( | const QByteArray & | data | ) |

Search for all occurrences

QByteArray result | ( |  | ) | const

Search for all occurrences

static QByteArray hash | ( | const QByteArray & | data,
|  | Algorithm | method
| ) |  | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qcryptographichash.h

QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash
QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash QCryptographicHash